Name:           anaconda-webui
Version:        9
Release:        1.20240418022957406556.pr254.19.g3a9bdaf%{?dist}
Summary:        Anaconda installer Web interface
License:        LGPL-2.1-or-later AND MIT
URL:            https://github.com/rhinstaller/%{name}

Source0:        anaconda-webui-9.19.g3a9bdaf.tar.xz
BuildArch:      noarch
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  gettext

%global anacondacorever 0

%if 0%{?fedora} >= 40
%global anacondacorever 40.22.2
%endif

%if 0%{?fedora} >= 41
%global anacondacorever 41.2
%endif

%global cockpitver 275
%global cockpitstorver 311

Requires: cockpit-storaged >= %{cockpitstorver}
Requires: cockpit-bridge >= %{cockpitver}
Requires: cockpit-ws >= %{cockpitver}
Requires: anaconda-core  >= %{anacondacorever}
# Firefox dependency needs to be specified there as cockpit web-view does not have a hard dependency on Firefox as
# it can often fall back to a diferent browser. This does not work in the limited installer
# environment, so we need to make sure Firefox is available. Exclude on RHEL, only Flatpak version will be there.
%if ! 0%{?rhel}
Requires: firefox
%endif
%if 0%{?fedora}
Requires: fedora-logos
%endif

Provides: bundled(npm(@patternfly/patternfly)) = 5.2.1
Provides: bundled(npm(@patternfly/react-core)) = 5.2.3
Provides: bundled(npm(@patternfly/react-icons)) = 5.2.1
Provides: bundled(npm(@patternfly/react-log-viewer)) = 5.1.0
Provides: bundled(npm(@patternfly/react-styles)) = 5.2.1
Provides: bundled(npm(@patternfly/react-table)) = 5.2.4
Provides: bundled(npm(@patternfly/react-tokens)) = 5.2.1
Provides: bundled(npm(attr-accept)) = 2.2.2
Provides: bundled(npm(file-selector)) = 0.6.0
Provides: bundled(npm(focus-trap)) = 7.5.2
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(memoize-one)) = 5.2.1
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-dom)) = 18.2.0
Provides: bundled(npm(react-dropzone)) = 14.2.3
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(react)) = 18.2.0
Provides: bundled(npm(scheduler)) = 0.23.0
Provides: bundled(npm(tabbable)) = 6.2.0
Provides: bundled(npm(throttle-debounce)) = 5.0.0
Provides: bundled(npm(tslib)) = 2.6.2

%description
Anaconda installer Web interface

%prep
%setup -q -n anaconda-webui

%build
# Nothing to build

%install
%make_install PREFIX=/usr
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%check
exit 0
# We have some integration tests, but those require running a VM, so that would
# be an overkill for RPM check script.

%files
%dir %{_datadir}/cockpit/anaconda-webui
%doc README.rst
%license LICENSE dist/index.js.LEGAL.txt
%{_datadir}/cockpit/anaconda-webui/logo.svg
%{_datadir}/cockpit/anaconda-webui/qr-code-feedback.svg
%{_datadir}/cockpit/anaconda-webui/index.js.LEGAL.txt
%{_datadir}/cockpit/anaconda-webui/index.html
%{_datadir}/cockpit/anaconda-webui/index.js.gz
%{_datadir}/cockpit/anaconda-webui/index.js.map
%{_datadir}/cockpit/anaconda-webui/index.css.gz
%{_datadir}/cockpit/anaconda-webui/index.css.map
%{_datadir}/cockpit/anaconda-webui/manifest.json
%{_datadir}/metainfo/org.cockpit-project.anaconda-webui.metainfo.xml
%{_datadir}/cockpit/anaconda-webui/po.*.js.gz
%dir %{_datadir}/anaconda/firefox-theme
%dir %{_datadir}/anaconda/firefox-theme/default
%dir %{_datadir}/anaconda/firefox-theme/default/chrome
%{_datadir}/anaconda/firefox-theme/default/user.js
%{_datadir}/anaconda/firefox-theme/default/chrome/userChrome.css
%dir %{_datadir}/anaconda/firefox-theme/live
%dir %{_datadir}/anaconda/firefox-theme/live/chrome
%{_datadir}/anaconda/firefox-theme/live/user.js
%{_datadir}/anaconda/firefox-theme/live/chrome/userChrome.css
%{_libexecdir}/webui-desktop


# The changelog is automatically generated and merged
%changelog
* Thu Apr 18 2024 Packit <hello@packit.dev> - 9-1.20240418022957406556.pr254.19.g3a9bdaf
- Makefile: Update Cockpit lib to 5516784bc7aba7c6fb02d19c57afc4de (Cockpit Project)
- tests: ignore pixel area showing the exact disk size the installation needs (Katerina Koukiou)
- infra: bump sass from 1.74.1 to 1.75.0 (dependabot[bot])
- Makefile: Update Cockpit lib to 3ec539a4e0f78dab6ef77f88aa717d4d (Cockpit Project)
- tests: switch testEncryptedUnlockRAIDonLUKS to non-destructive (Katerina Koukiou)
- storage: helpers: fix the calculation of device children (Katerina Koukiou)
- apis: Read storage-scenario-id from sessionStorage where it's stored (Katerina Koukiou)
- po: Update from Fedora Weblate (GitHub Workflow)
- infra: bump sass from 1.72.0 to 1.74.1 (dependabot[bot])
- infra: bump stylelint-config-standard-scss in the stylelint group (dependabot[bot])
